Subject: Re: [PATCH v4 0/7] git send-email suppress-cc=self fixes

From: "Michael S. Tsirkin" <[email-masked]>
Date: Mon, 10 Jun 2013 09:53:24 +0300

On Sun, Jun 09, 2013 at 04:25:11PM -0700, Junio C Hamano wrote:
> "Michael S. Tsirkin" <[email-masked]> writes:
> 
> > With respect to this, and a bit off-topic, what's
> > the best way to revise patch series?
> >
> > What I did, given series in patchvN-1/:
> >
> > 	rm -fr patchvN #blow away old directory if there
> > 			# otherwise I get two copies of patches if I renamed any
> 
> Not needed with recent "git format-patch -v4" option.

Unless I rerun with same vX :(
Would it make sense for it to check for vX existance and fail?
Same without -vX, when 000X exists ...
Could be an option.

> > 	git branch|fgrep '*'
> > 	# Figure out on which branch I am, manually specify the correct upstream I'm tracking,
> > 	# otherwise I get a ton of unrelated patches.
> 
> git-prompt with PS1 you do not need this either.

grep serves just as well but
I still need to copy it to the next line manually...

I vaguely remember there was some way to say
"head of the remote I am tracking" - but I could not find it.
Where are all the tricks like foo^{} documented?
I tried fgrep '{}' Documentation/*txt and it only returned
git-show-ref.txt which isn't really informative ...

Additionally, or alternatively, would it make sense for git format-patch
to format the diff against the tracking branch by default?

> > 	git format-patch --cover --subject-prefix='PATCH vN' -o patchvN origin/master..
> 
> Again, "git format-patch -v4 -o mt-send-email" will deposit the new
> ones alongside the older round.
> 
> > 	vi patchvN/0000* patchvN-1/0000*
> 
> Same (i.e. "vi mt-send-email/v*-0000-*.txt).

I still need to copy subject, Cc list and blurb to the next line manually.
Now that there's a concept of revisions,
maybe git format-patch -v4 could copy the text
and subject from v3?

-- 
MST